1. Taobao Product Search
  • API Signature & Authentication Specification
  • Alibaba[1688] Open Platform API
    • 1688 Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
      • API for Product Detail Search
      • API for Searching Products in a Shop
      • API for 1688 Recommended Products
    • 1688 Business Opportunities
      • API for 1688 Hot Products
      • API for 1688 Hot Keywords
    • 1688 Logistics
      • API for China Domestic Shipping Cost
    • 1688 Category
      • API for Category Search on 1688
    • 1688 Order Manage
      • API for Creating Preview Order
      • API for Creating Formal Order
      • API for Canceling Formal Order
      • API for Querying Order Details
      • API for Confirming Order Receipt
      • API for Retrieving Payment Link
      • API for Auto Payment of Order
    • 1688 Message Service
      • Callback Message Signature Verification Specification
      • Order Created Message
      • Order Price Modification Message
      • Transaction Payment Message
      • Order Delivery Message
      • Logistics Order Status Change
      • Order Receipt Confirmation Message
      • Transaction Completed Message
  • Taobao Open Platform API
    • Taobao Product Search
      • API for Visual Search of Similar Products
        • API for Image upload
        • API for Visual Search of Similar Products
      • API for Product Keyword Search
        GET
      • API for Product Detail Search
        GET
      • API for Searching Products in a Shop
        GET
    • Taobao Logistics
      • API for China Domestic Shipping Cost
  1. Taobao Product Search

API for Product Keyword Search

GET
/taobao/traffic/item/search
API for Product Keyword Search

Request

Query Params

Responses

🟢200成功
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://open-api.soureco.com/taobao/traffic/item/search?appKey=&appSecret=&sign=undefined&keyword=%E6%A9%A1%E7%9A%AE&sort=&filters=min_price%3A100%2Cmax_price%3A200000&page_no=1&page_size=20&language='
Response Response Example
{
    "code": 200,
    "message": "操作成功",
    "data": {
        "data": [
            {
                "miId": "0000O2EhsWqzgns9qEVR4WcKTBnjidG8YnhWZd05qKlt62c",
                "shopName": "得力盈达专卖店",
                "inventory": 200,
                "title": "【铅笔橡皮擦】得力纽赛防丢像皮檫无屑超干净不留痕小学生初中生专用高颜值卡通可爱幼儿园儿童无毒考试美术",
                "sales": 35,
                "tags": [],
                "itemId": 864107568632,
                "price": "12.30",
                "shippingOrigin": "江苏南京",
                "promotionDisplays": [],
                "shopDsr": "4.90",
                "couponPrice": "9.80",
                "multiLanguageInfo": {},
                "mainImageUrl": "https://img.alicdn.com/imgextra/i2/4174440595/O1CN01PQRvrR1GGYoRJSf7s_!!4611686018427381907-0-item_pic.jpg"
            }
        ],
        "pageNo": 1,
        "pageSize": 20
    },
    "timestamp": 1785318980129,
    "traceId": "820b7914dc47",
    "cost": 0
}
Previous
API for Visual Search of Similar Products
Next
API for Product Detail Search
Built with